package info.aspirecn.cloud.yysj.service;

import info.aspirecn.cloud.yysj.model.entity.Produce;
import info.aspirecn.cloud.yysj.model.entity.ProduceRelevance;
import java.util.List;

/**
 * 数据库查询服务接口
 *
 * @author dingliqiang
 */
public interface DbService {

    /**
     * 查询用户云验平台与数据交互平台关联信息列表
     *
     * @param produceId 云验平台产品ID
     * @return 关联信息列表
     */
    List<ProduceRelevance> getProduceRelevanceList(Integer produceId);

    /**
     * 根据产品ID查询产品细腻
     *
     * @param produceId 云验数据平台产品ID
     * @return 云验平台产品信息
     */
    Produce getProduceInfo(Long produceId);

}
