package info.aspirecn.cloud.yysj.service;

import info.aspirecn.cloud.yysj.model.response.ChildOrderInfo;
import info.aspirecn.cloud.yysj.model.response.OrderInfoList;
import java.util.List;

/**
 * @author dingliqiang
 */
public interface OrderService {

    /**
     * 获取主订单列表
     *
     * @param userId    云验数据平台用户ID
     * @param orderId   主订单ID
     * @param startTime 开始时间
     * @param endTime   结束时间
     * @param pageNum   查询从第几个数据开始
     * @param size      数据大小
     * @return 主订单列表
     */
    OrderInfoList getOrderList(String userId, String orderId, String startTime, String endTime,
                                     int pageNum, int size);

    /**
     * 获取主订单的详情（子订单信息列表）
     *
     * @param orderId 子订单号
     * @return 子订单信息列表
     */
    List<ChildOrderInfo> getOrderDetail(String orderId);

}
