package info.aspirecn.cloud.yysj.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import info.aspirecn.cloud.yysj.dao.db.ProduceMapper;
import info.aspirecn.cloud.yysj.dao.db.ProduceRelevanceMapper;
import info.aspirecn.cloud.yysj.model.entity.Produce;
import info.aspirecn.cloud.yysj.model.entity.ProduceRelevance;
import info.aspirecn.cloud.yysj.service.DbService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.ArrayList;
import java.util.List;

/**
 * 云验平台数据库查询服务
 *
 * @author dingliqiang
 */
@Service
public class DbServiceImpl implements DbService {

    @Autowired
    private ProduceRelevanceMapper produceRelevanceMapper;

    @Autowired
    private ProduceMapper produceMapper;

    /**
     * 查询用户云验平台与数据交互平台关联信息列表
     *
     * @return 关联信息列表
     */
    @Override
    public List<ProduceRelevance> getProduceRelevanceList(Integer produceId) {
        QueryWrapper<ProduceRelevance> produceRelevanceQueryWrapper = new QueryWrapper<>();
        produceRelevanceQueryWrapper.eq("yysjId", produceId);
        List<ProduceRelevance> sjjhProduceIdList = produceRelevanceMapper.selectList(produceRelevanceQueryWrapper);
        return new ArrayList<>(sjjhProduceIdList);
    }

    /**
     * 根据多个产品ID查询对应的产品列表
     *
     * @param produceId 产品ID列表
     * @return 云验平台产品信息
     */
    @Override
    public Produce getProduceInfo(Long produceId) {
        QueryWrapper<Produce> produceQueryWrapper = new QueryWrapper<>();
        produceQueryWrapper.eq("id", produceId);
        return produceMapper.selectOne(produceQueryWrapper);
    }

}
